#ifndef _MC_PACKSERIAL_H_
#define _MC_PACKSERIAL_H_
#include <xc.h>
#include "UART.h"

/************************************************************
 *  Sabertooth 2x12 Motor Controller Packetized Serial Functions
 * Mixed and Normal Drive Commands
*************************************************************/

void DriveBackward1(char address, char speed);
void DriveBackward2(char address, char speed);
void DriveBackwardMixed(char address, char speed);
void DriveForward1(char address, char speed);
void DriveForward2(char address, char speed);
void DriveForwardMixed(char address, char speed);
void TurnLeftMixed(char address, char speed);
void TurnRightMixed(char address, char speed);

#endif //Motor Control Packetized Serial